<?php

namespace App\Policies;

use App\Models\Client\Client;
use App\Models\User\User;

class ClientPolicy {
    public function view(User $user) {
        return $user->can('clients.view');
    }

    public function create(User $user) {
        return $user->can('clients.create');
    }

    public function edit(User $user, Client $client) {
        return $user->can('clients.edit');
    }

    public function delete(User $user, Client $client) {
        return $user->can('clients.delete');
    }
}
